Bug 484726 - Review Request: impressive - The stylish way of giving presentations
Review Request: impressive - The stylish way of giving presentations
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 12:40 EST by Allisson Azevedo
Modified: 2010-12-05 09:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 17:16:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-09 12:40:59 EST
Spec URL: http://allisson.fedorapeople.org/packages/impressive/impressive.spec

SRPM URL: http://allisson.fedorapeople.org/packages/impressive/impressive-0.10.2-1.fc10.src.rpm

Description: Impressive is a program that displays presentation slides. But unlike 
OpenOffice.org Impress or other similar applications, it does so with 
style. 

Smooth alpha-blended slide transitions are provided for the sake 
of eye candy, but in addition to this, Impressive offers some unique tools 
that are really useful for presentations.
Comment 1 Jochen Schmitt 2009-02-10 13:05:01 EST
Good:
+ Package name fits with naming guidelines
+ Basename of the SPEC file matches with package name
+ SPEC file is clearly written.
+ Consistently usage of rpm macros
+ Package contains a License tag
+ Licese tag contains GPLv2+ as a valid OSS license
+ Package contains verbatin copy of the license text
+ Could downloading tar ball from upstream with spectool -g
+ Packaged tar ball matches with upstream
(md5sum: 492eda5e3e09beb2f6dc997ed94f5349)
+ Package contains no patches
+ Package contains not subpackages
+ %doc stanza is small, so we need no separate subpackage
+ Defintion of the BuildRoot is ok.
+ Buildroot will be cleaned on the beginning of %clean and %install
+ Local build works fine
+ Koji build works fine
+ Package will built for noarch
+ File permissions seems ok.
+ Package doesn't contains duplicates files.
+ All files are own by the package
+ No file has a conflict to other packages
+ Local install works fine
+ Local uninstall works fine
+ Package contains proper %changelog

Bad:
- License tag should be GPLv2 because copyright novice of
the source doesn't contains late version option
- Because the application needs OpenGL enable hardware
acceleration a Req. opengl-games-utils is required.
Addtionaly a wrapper is required.
- DejaVu-Sams-fonts are required for this package
- Script contains a reference to pdftk. This package is on 
review for rpmfusion, because there are licensing issues for
the current release.
- Its seems, that we will need python-opengl and python-imaging
- Please add a %build stanza and a comment which explains, that
no special build step is required.
- Please add -p switch to the install command in the %install stanza
Comment 3 Jochen Schmitt 2009-02-12 12:03:30 EST
Good:
+ License tag contains the correct entry GPLv2
+ Package contains empty %build stanza with comment

Bad.
- You should a deja-sans-fonts as a Req.(Please koop in mind, that the packagename was change from F-10 to F-11)
- I see no effort to create a wrapper script using the opengl-wrapper script.Please us something like this:

#!/bin/bash

. /usr/share/opengl-games-utils/opengl-game-functions.sh

GAME=`basename $0 | sed 's/-wrapper.*//'`

checkDriOK $GAME

exec $GAME "$@"

as an template for your own efforts
Comment 4 Allisson Azevedo 2009-02-12 18:50:48 EST
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/impressive/impressive.spec

SRPM URL:
http://allisson.fedorapeople.org/packages/impressive/impressive-0.10.2-3.fc10.src.rpm

Notes:

- Added OpenGL wrapper.
- Fix requires for dejavu fonts.
Comment 5 Jochen Schmitt 2009-02-15 15:05:23 EST
Good:
+ Package use opengl-wrapper

Bad:
- The fonts Requires should be:

devel   dejavu-sans-fonts

F-10:   dejavu-fonts-sans

F-9:    dejavu-fonts
Comment 6 Allisson Azevedo 2009-02-16 13:31:29 EST
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/impressive/impressive.spec

SRPM URL:
http://allisson.fedorapeople.org/packages/impressive/impressive-0.10.2-4.fc10.src.rpm

Notes:
- Fix requires for dejavu fonts.
Comment 7 Jochen Schmitt 2009-02-16 13:37:46 EST
I'm sorry that I have talk you anything wrong about the dajavu fonts packagenames on the differents Fedora releases. So it may be nice, if you can revert to impressive-0.10-2-3

Good:
+ Local build works fine
+ Local install works fine.
+ Start of the application works fine
+ Local uninstall works fine.

If you are revert to impressive-0.1.2-3, you are APPROVED
Comment 8 Allisson Azevedo 2009-02-16 13:44:52 EST
Ok, i'll use impressive-0.1.2-3, thanks for review.
Comment 9 Allisson Azevedo 2009-02-16 13:46:24 EST
New Package CVS Request
=======================
Package Name: impressive
Short Description: The stylish way of giving presentations
Owners: allisson
Branches: F-9 F-10
Comment 10 Kevin Fenzi 2009-02-16 16:15:12 EST
cvs done.
Comment 11 Michael J Gruber 2010-12-04 13:54:09 EST
Package "impressive" used to be available for F13 but is orphaned; it
got marked retired for F14 and rawhide (master) because of maintainer
inactivity.

I took over ownership for F13, synced with upstream and cleaned up the spec file:

http://mjg.fedorapeople.org/rpmdev/impressive.spec
http://mjg.fedorapeople.org/rpmdev/impressive-0.10.3-1.fc14.src.rpm

Scratch build is at:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2643812

Once approved I plan to request an SCM change for f14, rawhide and epel6 branches.
Comment 12 Michael J Gruber 2010-12-04 13:55:16 EST
Changing review to ? for rereview of retired package (last activity more than 3 months back).
Comment 13 Susi Lehtola 2010-12-04 17:52:01 EST
Michael: I believe you need to make a new review request, as stated on the OrphanedPackages page. The old review request is independent of the new one.
Comment 14 Michael J Gruber 2010-12-05 09:28:58 EST
(In reply to comment #13)
> Michael: I believe you need to make a new review request, as stated on the
> OrphanedPackages page. The old review request is independent of the new one.

Uh, that wasn't clear to me from the description because of the referral to an SCM update request (thinking you can't only update something existing.

Anyways, the new (re)review request is in bug #660095 and I'm clearing the review flag for this one from "?" to " ". Hope this correct.

Note You need to log in before you can comment on or make changes to this bug.